Getting Started with Sent
Send your first message in minutes. This guide covers everything from account setup to your first API call.
What you'll accomplish: Set up your account and complete KYC โ Get your API credentials โ Send your first message
โณ Time required: 10-15 minutes
What You'll Need
- A
Sent account
- If you don't have one, you can create yours here
- You will receive an email with a magic verification link to verify your account
- Business information for account verification (KYC)
- Meta Business Portfolio (for WhatsApp integration)
- Payment method for billing
KYC Verification
Start the KYC verification from your Sent Dashboard to complete account verification, comply with messaging regulations and unlock full access to the Sent platform.
What we need:
- Business registration details
- Contact information for compliance
KYC Verification
- ๐ Start the verification process by clicking the
Start Verificationbutton in your Sent Dashboard
- ๐ Fill in your Business Contact details
- ๐งณ Fill in your Business Details
-
๐ค Select the planned destination countries you plan to send messages to
- Select the target countries you plan to send messages to. You can select from:
United States(US)Global(all countries)Selected Countries(you can select multiple countries)
- If your target audience is Selected Countries (not United States or Global):
- You may need to fill in additional compliance details.
- Check the table below to see which countries require additional compliance details and which documents you need to upload.
- You can upload documents using the
Select & Upload Documentsbutton for each selected country.
Supported Country Document #1 Document #2 Document #3 Australia (AU) Utility Bill (required) Belgium (BE) Proof of Local Address (required) Passport (required) Business Registration Certificate (required) Poland (PL) Proof of Local Address (required) Government ID or Passport or Business Registration Certificate (Optional) South Africa (ZA) Proof of Local Address (required) Passport or Business Registration Certificate (Optional) Sweden (SE) Proof of Local Address (required) Government ID or Passport or Business Registration Certificate (Optional) Thailand (TH) Proof of Worldwide Address (required) Business Registration Certificate (required) Government ID or Passport (Optional) United Kingdom (UK) Proof of Local Address (required) Government ID or Passport or Business Registration Certificate (Optional) - Select the target countries you plan to send messages to. You can select from:
- ๐ซ Select your messaging use case & campaign details
- You can fill in you campaign details by clicking the
Add Detailsbutton in the campaign details section - You can use the
Suggestbutton to automatically fill in the campaign details based on your use case. - If your use case is "High Volume", you will need to select at least 2 use cases.
-
๐ณ Fill in your billing details
- If your billing address is the same as your business address, you can use the
Use Business Addressbutton to automatically fill in the billing address. - Add at least 1 payment method by using the
Add new cardbutton.
- If your billing address is the same as your business address, you can use the
- โ
Submit your KYC application
- Verify your KYC application details and if everything checks out, click the
Submitbutton to submit your application. - If you need to make any changes, click the
Previousbutton to edit your application details.
- Verify your KYC application details and if everything checks out, click the
Timeline: Usually approved within a few hours, sometimes in minutes. You'll get an email when verification is complete.
You will receive a confirmation email when your KYC verification is complete.
While verification is processing, you can continue with the next steps to save time.
Channel Setup & WhatsApp Business Connection
Select a phone number that will be your business identity across SMS and WhatsApp.
Please choose the number wisely:
- Recipients will see the number you choose across all communication channels
- It positively contributes to a better brand recognition and trust
Channel Setup & WhatsApp Business Connection
- ๐ข Start the Channel Setup process by clicking the
Continue Channel Setupbutton in your Sent Dashboard
- ๐ฑ Select a phone number that will be your business identity across SMS and WhatsApp
- Choose based on your target market location. Sent automatically configures this number for all messaging channels
-
๐จ Connect your WhatsApp Business account
- Log in with your Facebook/Meta account
- Select or create a WhatsApp Business account
- Grant Sent permission to manage messages and conversations
- Add payment details to your Meta Business account
โน Don't have a Meta Business Portfolio? No problem - you can create one during this process.
โ๏ธ We suggest to use the same number for SMS and WhatsApp to make sure everything runs smoothly.
Sent is working on unified billing to consolidate all messaging costs in one place.
- ๐งพ Add your billing details
- ๐ณ Add your payment details
- This step is optional but recommended to start sending messages
- You can always add your payment details later in the Billing section in your Sent Dashboard
- โ๏ธ Wait for the Channel Setup to complete
- This process usually takes just a few seconds
- โ
Channel Setup completed
- ๐ Congratulations! Your account is now ready to send messages
- You can copy your API credentials from this page, or you can do it later in the API Keys section in your Sent Dashboard
Security reminder: NEVER share your Sender ID and API Key(s) with anyone.
Set Up Billing
Setup billing from you Sent Dashboard to start sending messages. You can either pay per message or pre-load credits.
Payment options:
- Credit/debit card for automatic billing
๐ก Quick tip: Once your payment method is confirmed, you can also pre-load account credits (optional).
What you'll pay: Only for messages sent - no monthly fees or setup costs.
Create your first Template
Create your first template from your Sent Dashboard to start sending messages.
- We recommend you to start with one of our pre-designed templates
- You can always create as many templates as you need later
Create your first template
- ๐ Create your first template
- Use our pre-designed templates by clicking the
Create from Samplebutton
- Use our pre-designed templates by clicking the
- ๐ Select a sample template
- For this guide, we will use the first template (Hello with sms and whatsapp)
- Click on the
Use Samplebutton
- ๐ Submit the template for review
- In this page, you can customize the template details to your needs
- Once done, click on the
Submit for Reviewbutton
The template will be automatically submitted for review to Meta for WhatsApp approval, but you can still send SMS messages while the template is being reviewed.
- โ
Retrieve your template ID
- Copy the template ID (you can use the copy icon on the right of the template ID)
- You will need this template ID to send messages using the API
Get Your API Keys
Generate your credentials from your Sent Dashboard to start building with the Sent API.
Security reminder: NEVER share your Sender ID and API Key(s) with anyone.
๐ก Quick tip: On the API Keys page in your Sent Dashboard, you can easily copy both your x-sender-id and x-api-key using the copy icon on the right of each key.
You'll receive two credentials:
x-sender-id: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
x-api-key: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxStore these safely - you'll need them for all API requests.
Send Your First Message
Now for the moment of truth - let's send a message! You can use either our API or test in your Sent Dashboard Playground.
- ๐ API Endpoint:
POST https://api.sent.dm/v2/messages/contact - ๐ก Quick tips:
- Don't forget to replace
YOUR_SENDER_IDandYOUR_API_KEYwith your actual Sender ID and API Key that you received in the previous step. - Replace
RECIPIENT_PHONE_NUMBERwith your recipient phone number that you want to send the message to. - Replace
TEMPLATE_IDwith your template ID that you received in the previous step.
- Don't forget to replace
Prefer visual testing? Use our playground to test messages with a simple interface.
curl -X POST "https://api.sent.dm/v2/messages/phone" \
-H "x-sender-id: YOUR_SENDER_ID" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phoneNumber": "RECIPIENT_PHONE_NUMBER",
"templateId": "TEMPLATE_ID",
}'const response = await fetch('https://api.sent.dm/v2/messages/phone', {
method: 'POST',
headers: {
'x-sender-id': 'YOUR_SENDER_ID',
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
phoneNumber: 'RECIPIENT_PHONE_NUMBER',
templateId: 'TEMPLATE_ID',
})
});import requests
response = requests.post(
'https://api.sent.dm/v2/messages/phone',
headers={
'x-sender-id': 'YOUR_SENDER_ID',
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'phoneNumber': 'RECIPIENT_PHONE_NUMBER',
'templateId': 'TEMPLATE_ID',
}
)Success response:
- Response Code:
200 - Response Body:
messageId: "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
๐ Awesome! Your message is on its way to your chosen recipient!
What's Next?
๐ Congratulations! Start building powerful messaging experiences with Sent's unified platform. Here's what to explore next:
Build your messaging system:
- Create message templates for reusable content
- Manage contacts and organize your audience
- Set up webhooks for delivery notifications
Learn and test:
- API documentation for complete endpoint reference
- Playground for testing without code
- Support when you need help